RCFProto

- Main Page
- Packages
- Classes
- Files

- Packages
- Package Functions

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Classes | Enumerations | Functions
Package DeltaVSoft.RCFProto

## Classes
class | Util
class | RcfProtoController
| RPC controller interface, for both server-side and client-side code. More...
class | SwigCallback_CallCompletion
class | SwigCallback_Certificate
class | RcfProtoChannelImpl
class | SwigCallback_ServerRpc
class | RcfProtoServerImpl
class | Certificate
| Base class of all certificate classes. More...
class | ClientTransport
| Base class for all client transports. More...
class | Endpoint
| Base class for all network endpoint types. More...
class | HttpEndpoint
| Represents a HTTP endpoint. More...
class | HttpsEndpoint
| Represents a HTTPS endpoint. More...
class | IpAddress
| Represents an IP address (IPv4 or IPv6). More...
class | LogTarget
| Base class for log targets. Log targets are passed to the enableLogging() function, to configure RCF logging. More...
class | LogToDebugWindow
| Configures log output to be directed to Windows debug output. More...
class | LogToEventLog
| Configures log output to be directed to the Windows event log. More...
class | LogToFile
| Configures log output to be directed to a log file. More...
class | LogToStdout
| Configures log output to be directed to standard output. More...
class | PemCertificate
| Use this class to load a certificate in .pem format. Only applicable to OpenSSL. More...
class | PfxCertificate
| Use this class to load a certificate from .pfx format. Only applicable to Schannel. More...
class | RCFProto
class | RcfProtoChannel
| Represents a single RPC connection to a server. More...
class | RcfProtoServer
| Serves up Protocol Buffer-based services to clients, over one or more server transports. More...
class | RcfProtoSession
| Represents the server-side session associated with a RPC connection. More...
class | ServerTransport
| Base class for all server transports. More...
class | StoreCertificate
| Represents a certificate in a Windows certificate store. More...
class | StoreCertificateIterator
| Iterates over the certificates in a Windows certificate store. More...
class | TcpEndpoint
| Represents a TCP endpoint. More...
class | ThreadPool
| Represents a server-side thread pool. More...
class | TransportProtocolList
class | UnixLocalEndpoint
| Represents a UNIX local socket endpoint. Only available on UNIX platforms. More...
class | Win32Certificate
| Represents an in-memory certificate, usually from a remote peer. Only applicable to Schannel. More...
class | Win32NamedPipeEndpoint
| Represents a Win32 named pipe endpoint. Only available on Windows platforms. More...
class | X509Certificate
| Represents an in-memory certificate, usually from a remote peer. Only applicable to OpenSSL. More...

## Enumerations
enum | CertificateImplementationType { Unspecified, Win32, X509 }
enum | SslImplementation { Schannel, OpenSsl }
| Describes which SSL implementation to use. More...
enum | TransportProtocol { Unspecified, Clear, Ntlm, Kerberos, Negotiate, Ssl }
| Describes the transport protocols used by a RCF connection. Transport protocols are layered on top of the transport type. More...
enum | TransportType { Unknown, Tcp, Udp, Win32NamedPipe, UnixNamedPipe, Http, Https, InProcess }
| Describes the transport types used by a RCF connection. More...
enum | Win32CertificateLocation { CurrentUser, LocalMachine }
| Win32 certificate store locations. More...
enum | Win32CertificateStore { AddressBook, AuthRoot, CertificateAuthority, Disallowed, My, Root, TrustedPeople, TrustedPublisher }
| Win32 certificate stores. More...

## Functions
delegate bool | CertificateValidationCallback (Certificate cert)

## Enumeration Type Documentation

enum DeltaVSoft.RCFProto.CertificateImplementationType

Enumerator
Unspecified |
Win32 |
X509 |

enum DeltaVSoft.RCFProto.SslImplementation

Describes which SSL implementation to use.

Enumerator
Schannel | Schannel
OpenSsl | OpenSSL

enum DeltaVSoft.RCFProto.TransportProtocol

Describes the transport protocols used by a RCF connection. Transport protocols are layered on top of the transport type.

Enumerator
Unspecified | Unspecified
Clear | Clear text
Ntlm | Windows NTLM
Kerberos | Windows Kerberos
Negotiate | Windows Negotiate (Kerberos or NTLM)
Ssl | SSL

enum DeltaVSoft.RCFProto.TransportType

Describes the transport types used by a RCF connection.

Enumerator
Unknown | Unknown
Tcp | TCP transport
Udp | UDP transport
Win32NamedPipe | Win32 named pipe transport
UnixNamedPipe | UNIX local domain socket transport
Http | HTTP/TCP transport
Https | HTTPS/TCP transport
InProcess | In-process transport

enum DeltaVSoft.RCFProto.Win32CertificateLocation

Win32 certificate store locations.

Enumerator
CurrentUser | Current User
LocalMachine | Local machine

enum DeltaVSoft.RCFProto.Win32CertificateStore

Win32 certificate stores.

Enumerator
AddressBook | Other People
AuthRoot | Third-Party Root Certification Authorities
CertificateAuthority | Intermediate Certification Authorities
Disallowed | Untrusted Certificates
My | Personal
Root | Trusted Root Certification Authorities
TrustedPeople | Trusted People
TrustedPublisher | Trusted Publishers

## Function Documentation

delegate bool DeltaVSoft.RCFProto.CertificateValidationCallback | ( | Certificate | cert | ) |